Tokenhot
English
  • 中文
  • English
English
  • 中文
  • English
English
  • 中文
  • English
  1. Gemini
  • en
    • Terms of Service
    • privacy agreement
    • Image Models
      • DOUBAO
        • doubao-seedream-4-0-250828
        • doubao-seedream-4-5-251128
      • GPT
        • GPT Image-1.5
      • Gemini
        • gemini-2.5-flash-image
        • gemini-3-pro-image-preview
        • gemini-3.1-flash-image-preview
      • dall
        • dall-e-2
        • dall-e-3
    • Video Models
      • DOUBAO
        • doubao-seedance-1-5-pro-251215 (Generate Video Task)
        • doubao-seedance-1-5-pro-251215 (Get video task status and results)
        • doubao-seedance-2-0-260128
        • doubao-seedance-2.0
        • doubao-seedance-2.0 (Get video task information)
        • doubao-seedance-2.0-V2V
        • doubao-seedance-2.0-V2V (Get video task information)
        • doubao-seedance-2.0-fast
        • doubao-seedance-2.0-fast (get video task information)
        • doubao-seedance-2.0-fast-V2V
        • doubao-seedance-2.0-fast-V2V (Get video task information)
      • Sora
        • Sora-2
        • Sora-2 (Get Video Task Status)
        • Sora-2 (Get Video Content)
    • Chat Models
      • Claude
        • claude-opus-4-6
        • claude-opus-4-6-cc
        • claude-sonnet-4-5-20250929
      • GPT
        • GPT 5
        • GPT 5(Responses)
        • GPT 5.2
        • GPT 5.2(Responses)
        • GPT 5.4
        • GPT 5.4(Responses)
      • Gemini
        • gemini-2.5-flash
          POST
        • gemini-2.5-pro
          POST
        • gemini-3-flash-preview
          POST
        • gemini-3.1-pro
          POST
        • gemini-3.1-pro-preview
          POST
  1. Gemini

gemini-3.1-pro-preview

POST
/v1beta/models/{model}:generateContent/
The core breakthrough of Gemini 3.1 Pro is its shift from static compute allocation to a dynamic “Test-Time Compute” architecture.This means that the model can intelligently allocate different computing resources and time according to the complexity of the task, rather than consuming a fixed amount of computing power for each token.This transformation is achieved through its signature three-level thinking system (Low/Medium/High).
Low mode pursues extreme speed response and is suitable for high-throughput tasks such as translation and simple classification.The Medium model strikes a balance between speed and depth, covering most everyday office scenarios.High mode activates the parallel thinking technology derived from "Gemini 3 Deep Think", allowing the model to explore multiple problem-solving paths at the same time, and filter the optimal solution through the internal evaluation mechanism, which is specifically used to deal with complex problems that require several minutes of in-depth thinking such as code audit and strategic analysis.This fine-grained control allows developers to accurately weigh cost, latency, and output quality according to SLA requirements.Actual API Endpoint: POST https://tokenhot.ai/v1beta/models/{model}:generateContent
Model Code: gemini-3.1-pro-preview

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Body

🟠401
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1beta/models/:generateContent/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "contents": [
        {
            "role": "user",
            "parts": [
                {
                    "text": "Hi"
                },
                {
                    "inlineData": {
                        "mimeType": "image/jpeg",
                        "data": "Picture base64"
                    }
                }
            ]
        }
    ]
}'
Response Response Example
{
    "candidates": [
        {
            "content": {
                "role": "string",
                "parts": [
                    {}
                ]
            },
            "finishReason": "string",
            "safetyRatings": [
                {}
            ]
        }
    ],
    "usageMetadata": {
        "promptTokenCount": 0,
        "candidatesTokenCount": 0,
        "totalTokenCount": 0
    }
}
Modified at 2026-03-25 06:34:43
Previous
gemini-3.1-pro
Built with